/*-----------------------------------------------------------------------
make_esurban.do

Stata do file to replicate all tables and figures of the article
'Learning by working in big cities',
by Jorge De la Roca and Diego Puga,
Review of Economic Studies
-----------------------------------------------------------------------*/

* Initialise
clear all
set more off
set matsize 2000
quietly capture log close

* Directory containing all code to replicate the analysis
cd ./analysis

* Table 1
do esurban_table1.do
* Table 2
do esurban_table2.do
* Table 3 (requires esurban_table2.do to be run before)
do esurban_table3.do
* Table 4 (calls esurban_table4_boot.do)
do esurban_table4.do
* Table 5
do esurban_table5.do
* Table 6 (requires esurban_table4.do to be run before)
do esurban_table6.do
* Figures (requires esurban_table1.do, esurban_table2.do, and esurban_table4.do to be run before)
do esurban_figures.do
